package cc.smtweb.biz.mztb.web.domian;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2024-01-03 17:14:35
 * 实体【[机构信息]PrePartyInfo
 */
public class PrePartyInfo extends DefaultEntity {
    public static final String ENTITY_NAME = "pre_party_info";

    public PrePartyInfo() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("pi_id");
    }

    /** 主键 */
    public void setId(long pi_id) {
        put("pi_id", pi_id);
    }

    /** 单位名称 */
    public String getPartyName() {
        return getStr("pi_party_name");
    }

    /** 单位名称 */
    public void setPartyName(String pi_party_name) {
        put("pi_party_name", pi_party_name);
    }
    /** 信用代码 */
    public String getCreditCode() {
        return getStr("pi_credit_code");
    }

    /** 信用代码 */
    public void setCreditCode(String pi_credit_code) {
        put("pi_credit_code", pi_credit_code);
    }
    /** 登记部门 */
    public String getRegDept() {
        return getStr("pi_reg_dept");
    }

    /** 登记部门 */
    public void setRegDept(String pi_reg_dept) {
        put("pi_reg_dept", pi_reg_dept);
    }
    /** 登记时间 */
    public long getRegTime() {
        return getLong("pi_reg_time");
    }

    /** 登记时间 */
    public void setRegTime(long pi_reg_time) {
        put("pi_reg_time", pi_reg_time);
    }
    /** 机构类型 */
    public String getPartyType() {
        return getStr("pi_party_type");
    }

    /** 机构类型 */
    public void setPartyType(String pi_party_type) {
        put("pi_party_type", pi_party_type);
    }
    /** 变动类型 */
    public String getChangeType() {
        return getStr("pi_change_type");
    }

    /** 变动类型 */
    public void setChangeType(String pi_change_type) {
        put("pi_change_type", pi_change_type);
    }
    /** 变动时间 */
    public long getChangeTime() {
        return getLong("pi_change_time");
    }

    /** 变动时间 */
    public void setChangeTime(long pi_change_time) {
        put("pi_change_time", pi_change_time);
    }
    /** 行政区划代码 */
    public String getAreaCode() {
        return getStr("pi_area_code");
    }

    /** 行政区划代码 */
    public void setAreaCode(String pi_area_code) {
        put("pi_area_code", pi_area_code);
    }
    /** 法定代表人 */
    public String getLegalPerson() {
        return getStr("pi_legal_person");
    }

    /** 法定代表人 */
    public void setLegalPerson(String pi_legal_person) {
        put("pi_legal_person", pi_legal_person);
    }
    /** 地址 */
    public String getAddress() {
        return getStr("pi_address");
    }

    /** 地址 */
    public void setAddress(String pi_address) {
        put("pi_address", pi_address);
    }
    /** 电话 */
    public String getPhone() {
        return getStr("pi_phone");
    }

    /** 电话 */
    public void setPhone(String pi_phone) {
        put("pi_phone", pi_phone);
    }
    /** 邮编 */
    public String getPostcode() {
        return getStr("pi_postcode");
    }

    /** 邮编 */
    public void setPostcode(String pi_postcode) {
        put("pi_postcode", pi_postcode);
    }
    /** 国民经济分类 */
    public String getNationalEconomyType() {
        return getStr("pi_national_economy_type");
    }

    /** 国民经济分类 */
    public void setNationalEconomyType(String pi_national_economy_type) {
        put("pi_national_economy_type", pi_national_economy_type);
    }
    /** 系统机构Id */
    public long getSysPartyId() {
        return getLong("pi_sys_party_id");
    }

    /** 系统机构Id */
    public void setSysPartyId(long pi_sys_party_id) {
        put("pi_sys_party_id", pi_sys_party_id);
    }
}
